Subject: Re: [PATCH] powerpc/85xx: disable timebase synchronization under the hypervisor

From: Tabi Timur-B04825 <[email-masked]>
Date: Fri, 24 Jun 2011 02:38:58 +0000

Segher Boessenkool wrote:
>
> v2.06 III-E 9.2.1:
> "Writing the Time Base is hypervisor privileged."
>
> v2.06 III-E 2.1:
> "If a hypervisor-privileged register is accessed in the guest supervisor
> state (MSR[GS PR] = 0b10), an Embedded Hypervisor Privilege exception
> occurs."
>
> (v2.06 III-E 5.4.1, the big SPR table, also shows the TB regs (for writing,
> i.e. 284 and 285) to be hypervisor privileged.  Consistency, hurray :-) )

To me, all this means that a guest cannot write to the actual timebase 
register.  I'm not interpreting this to mean that a hypervisor can't 
virtualize the timebase and allow a guest to read/write a virtual timebase 
register, so that it thinks it's writing to the real hardware timebase register.

-- 
Timur Tabi
Linux kernel developer at Freescale